Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationModel Class Reference

変換モデル More...

`#include <TranslationModel.h>`

Inheritance diagram for LampForMaya::TranslationModel:

List of all members.

## Public Member Functions
virtual | ~TranslationModel ()
| デストラクタ
virtual bool | analyze (TranslationMeshManager *meshManager)=0
| 分析
virtual void | compilePivot (const Vector3 &pivot)
| ピボットのコンパイル
virtual bool | analyzeAnimation ()
| アニメーションの分析
virtual bool | convertToLamp (Scene *scene)=0
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual MObject | getObject () const
| オブジェクトの取得
virtual String | getName () const
| 名前の取得
virtual bool | isStandardModel () const
| 標準モデルかどうか
virtual TranslationStandardModel * | castStandardModel () const
| 標準モデルへのキャスト
virtual bool | isCharacterModel () const
| キャラクタモデルかどうか
virtual TranslationCharacterModel * | castCharacterModel () const
| キャラクタモデルへのキャスト
## Protected Member Functions
| TranslationModel (const MObject &initializeObject, const String &initializeName)
| コンストラクタ
virtual bool | analyzeModel ()
| モデルの解析
virtual String | getShaderName (const MObject &shadingEngine)
| シェーダ名の取得
## Protected Attributes
ArrayList< TranslationMesh * > | meshes_
| メッシュ配列
MObject | object_
| オブジェクト
String | name_
| 名前
bool | visibility_
| 表示フラグ
## Friends
class | TranslationModelManager

## Detailed Description

変換モデル

Definition at line 47 of file TranslationModel.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationModel::TranslationModel | ( | const MObject & | initializeObject,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializeObject | 初期化するオブジェクト
  initializeName | 初期化する名前
Definition at line 33 of file TranslationModel.cpp.

## Member Function Documentation

virtual bool LampForMaya::TranslationModel::analyze | ( | TranslationMeshManager * | meshManager | ) | `[pure virtual]`

  | 分析 Parameters:
  meshManager | メッシュマネージャ
Returns: 成功すればtrue Implemented in LampForMaya::TranslationCharacterModel, and LampForMaya::TranslationStandardModel. Referenced by LampForMaya::TranslationModelManager::analysisModel().

virtual bool LampForMaya::TranslationModel::analyzeAnimation | ( |  | ) | `[inline, virtual]`

| アニメーションの分析 Returns: 成功すればtrue Reimplemented in LampForMaya::TranslationCharacterModel. Definition at line 73 of file TranslationModel.h. Referenced by LampForMaya::TranslationModelManager::collectAnimations().

virtual TranslationCharacterModel* LampForMaya::TranslationModel::castCharacterModel | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルへのキャスト Returns: キャラクタモデル。型が違えばNULLを返す。 Definition at line 138 of file TranslationModel.h. References isCharacterModel().

virtual TranslationStandardModel* LampForMaya::TranslationModel::castStandardModel | ( |  | ) | const`[inline, virtual]`

| 標準モデルへのキャスト Returns: 標準モデル。型が違えばNULLを返す。 Definition at line 120 of file TranslationModel.h. References isStandardModel().

void LampForMaya::TranslationModel::compilePivot | ( | const Vector3 & | pivot | ) | `[virtual]`

  | ピボットのコンパイル Parameters:
  pivot | ピボット位置
Definition at line 43 of file TranslationModel.cpp. References LampForMaya::TranslationMesh::compilePivot(), and meshes_. Referenced by LampForMaya::TranslationSceneNode::compilePivot().

virtual bool LampForMaya::TranslationModel::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[inline, virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Reimplemented in LampForMaya::TranslationCharacterModel. Definition at line 89 of file TranslationModel.h. Referenced by LampForMaya::TranslationModelManager::convertAnimation().

virtual bool LampForMaya::TranslationModel::convertToLamp | ( | Scene * | scene | ) | `[pure virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implemented in LampForMaya::TranslationCharacterModel, and LampForMaya::TranslationStandardModel. Referenced by LampForMaya::TranslationModelManager::convertToLamp().

virtual String LampForMaya::TranslationModel::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 105 of file TranslationModel.h. References name_. Referenced by LampForMaya::TranslationCharacterModel::convertAnimation().

virtual MObject LampForMaya::TranslationModel::getObject | ( |  | ) | const`[inline, virtual]`

| オブジェクトの取得 Returns: オブジェクト Definition at line 99 of file TranslationModel.h. References object_. Referenced by LampForMaya::TranslationModelManager::analysisModel().

String LampForMaya::TranslationModel::getShaderName | ( | const MObject & | shadingEngine | ) | `[protected, virtual]`

  | シェーダ名の取得 Parameters:
  shadingEngine | シェーディングエンジン
Returns: シェーダ名 Definition at line 58 of file TranslationModel.cpp. References MayaErrorOut, MayaStatusCheck, and name_. Referenced by LampForMaya::TranslationStandardModel::analyze(), and LampForMaya::TranslationCharacterModel::analyzeMesh().

virtual bool LampForMaya::TranslationModel::isCharacterModel | ( |  | ) | const`[inline, virtual]`

| キャラクタモデルかどうか Returns: キャラクタモデルならtrue Reimplemented in LampForMaya::TranslationCharacterModel. Definition at line 132 of file TranslationModel.h. Referenced by castCharacterModel().

virtual bool LampForMaya::TranslationModel::isStandardModel | ( |  | ) | const`[inline, virtual]`

| 標準モデルかどうか Returns: 標準モデルならtrue Definition at line 114 of file TranslationModel.h. Referenced by castStandardModel().

The documentation for this class was generated from the following files:

- TranslationModel.h
- TranslationModel.cpp